

<div class="row" >
  <div class='col-md-8' >
      <button class='btn btn-outline-secondary btn-sm'
      style="position:absolute;left:4px;"
      (click)='showHideColSelection()'>|||</button>
  </div>

  <!-- <strong class='col-md-7' style='margin-bottom:10px;'></strong> -->
  <div class='col-md-4' *ngIf='authorized$|async'>
    <button class='btn btn-outline-danger btn-sm float-right ml-1'
      [disabled]='true'
      (click)='delete()'
    >delete</button>
    <button class='btn btn-outline-secondary btn-sm float-right ml-1'
      (click)='edit()'
      [disabled]='selectedId < 1'
    >edit</button>
    <button
      class='btn btn-outline-primary btn-sm float-right'
      (click)='add()'
      >new
    </button>
  </div>
</div>

<div *ngIf='showColSelection' class='col-sel'>
  <app-col-select></app-col-select>
</div>

<div class='grid-area' [ngStyle]="{ 'left': showColSelection?'250px':'2px' }" >
    <ag-grid-angular
    #agGrid
    class="ag-theme-balham"
    style="width: 100%;height: 100%;"
    [gridOptions]="gridOptions"
    [rowData]="projects$ | async"
    (selectionChanged)="onSelectionChanged($event)"
    (gridReady)="onGridReady($event)"
    (rowDoubleClicked)="onDoubleRowDblClk($event)"
    >
  </ag-grid-angular>

</div>
